Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources
Class GZipResource

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.Resource
                  org.apache.tools.ant.types.resources.ResourceDecorator
                      org.apache.tools.ant.types.resources.ContentTransformingResource
                          org.apache.tools.ant.types.resources.CompressedResource
                              org.apache.tools.ant.types.resources.GZipResource

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, ResourceCollection

    public class GZipResource

extends CompressedResource

A GZip compressed resource.

Wraps around another resource, delegates all queries to that other resource but uncompresses/compresses streams on the fly.

Since:
  Ant 1.7

Field Summary

Fields inherited from class org.apache.tools.ant.types.Resource
`MAGIC, UNKNOWN_DATETIME, UNKNOWN_SIZE`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`GZipResource()` A no-arg constructor
`GZipResource(ResourceCollection other)` Constructor with another resource to wrap.

Method Summary
`protected java.lang.String` | `getCompressionName()` Get the name of the compression method.
`protected java.io.InputStream` | `wrapStream(java.io.InputStream in)` Decompress on the fly using java.util.zip.GZIPInputStream.
`protected java.io.OutputStream` | `wrapStream(java.io.OutputStream out)` Compress on the fly using java.util.zip.GZIPOutStream.

Methods inherited from class org.apache.tools.ant.types.resources.CompressedResource
`toString`

Methods inherited from class org.apache.tools.ant.types.resources.ContentTransformingResource
`as, getInputStream, getOutputStream, getSize, isAppendSupported`

Methods inherited from class org.apache.tools.ant.types.resources.ResourceDecorator
`addConfigured, compareTo, dieOnCircularReference, getLastModified, getName, getResource, hashCode, isDirectory, isExists, isFilesystemOnly, setDirectory, setExists, setLastModified, setName, setRefid, setSize`

Methods inherited from class org.apache.tools.ant.types.Resource
`clone, equals, getMagicNumber, iterator, size, toLongString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GZipResource

    public GZipResource()

  A no-arg constructor

### GZipResource

    public GZipResource(ResourceCollection other)

  Constructor with another resource to wrap.

  Parameters:
    `other` - the resource to wrap.

Method Detail

### wrapStream

    protected java.io.InputStream wrapStream(java.io.InputStream in)
                                      throws java.io.IOException

  Decompress on the fly using java.util.zip.GZIPInputStream.

  Specified by:
    `wrapStream` in class `ContentTransformingResource`
  Parameters:
    `in` - the stream to wrap.
  Returns:
    the wrapped stream.
  Throws:
    `java.io.IOException` - if there is a problem.

### wrapStream

    protected java.io.OutputStream wrapStream(java.io.OutputStream out)
                                       throws java.io.IOException

  Compress on the fly using java.util.zip.GZIPOutStream.

  Specified by:
    `wrapStream` in class `ContentTransformingResource`
  Parameters:
    `out` - the stream to wrap.
  Returns:
    the wrapped stream.
  Throws:
    `java.io.IOException` - if there is a problem.

### getCompressionName

    protected java.lang.String getCompressionName()

  Get the name of the compression method.

  Specified by:
    `getCompressionName` in class `CompressedResource`
  Returns:
    the string "GZip".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD